with gl; use gl;
with Interfaces.C; use Interfaces.C;
with Interfaces.C.Strings;

package snd4ada_hpp is

   procedure termSnds;

   procedure initSnds;

   function initSnd 
	( pc : Interfaces.C.Strings.chars_ptr; 
		vol : int) return int;
		
   function initLoop 
	( pc : Interfaces.C.Strings.chars_ptr; 
		dur : gldouble;
		vol : int
		) return int;

   procedure playSnd (nbuf : int);
   procedure playLoop (nbuf : int);
	procedure stopLoops;

   procedure stopLoop (nbuf : int);
end snd4ada_hpp;
